@mickeyao said:
I get a message: Error Loading File sketchyphysics.rb
undefined methodextend_object' for
Singleton'
I get the same error.
@mickeyao said:
I get a message: Error Loading File sketchyphysics.rb
undefined methodextend_object' for
Singleton'
I get the same error.
Does it work for SU8? I downloaded SU7.1 and did the same and it worked. Or maybe there was some crash with other plugins?
Thank you, TIG!
@tig said:
Find my 'Extrusion Tools' zipped set, and use ExtrudeEdgesbyFace... you draw the face 'profile' flat on the ground and select the face with an optional cpoint to fix its 'origin' and the 'lattice' of edges and it extrudes the face along each line as desired, with the face's Y/green axis == 'up'.....
What is an "cpoint" please? I selected the face and three continual edges and nothing happend, only the trogress bar states "Making extrusion". If I select some discontinouos edges, there comes a question to continue and after clicking yes nothing happens as well. What's the problem, please?
And here's the ruby console error I get:
Error; #<TypeError; wrong argument type (expected Sketchup;;Entity)>
C;/PROGRA~2/Google/GOOGLE~1/Plugins/extrudeEdgesByFace.rb;176;in `add_group'
C;/PROGRA~2/Google/GOOGLE~1/Plugins/extrudeEdgesByFace.rb;176;in `copy_edges_and_face'
C;/PROGRA~2/Google/GOOGLE~1/Plugins/extrudeEdgesByFace.rb;144;in `activate'
C;/PROGRA~2/Google/GOOGLE~1/Plugins/extrudeEdgesByFace.rb;484;in `select_tool'
C;/PROGRA~2/Google/GOOGLE~1/Plugins/extrudeEdgesByFace.rb;484;in `extrudeEdgesByFace'
C;/PROGRA~2/Google/GOOGLE~1/Plugins/extrudeEdgesByFace.rb;477;in `each'
C;/PROGRA~2/Google/GOOGLE~1/Plugins/extrudeEdgesByFace.rb;477;in `extrudeEdgesByFace'
C;/PROGRA~2/Google/GOOGLE~1/Plugins/extrudeEdgesByFace.rb;511
Hey guys, I'm working on a freeform structure made of wooden glulam beams.
I made a geometric structure (IMG01), and I need to get the profile on the structure, but Follow Me is not really helpful for me - it does a lot of mess and connections are "ugly" and it took me a lot of time to follow all the paths in th structure...
I found some plugins (lines2tubes...) but they don't help me, since they work only with circular profile, and I need rectangular profile (120/500).
I would appreciate a plugin, which could "extrude" a selected profil onto the whole structure in few links.
TY for any help, as I'm in hurry.
@unknownuser said:
Oh sorry I left a minor mistake in the code, try it now, should work.
Thanks a lot, Mr.K.! It worked now. I don't know how could I help you, so in the meantime you have to be satisfied with the warm feeling! Thanks.
@mitcorb said:
It is unfortunate that SP does not have a mechanism to automatically save initial state.
Of course, I do not have SP, and of course I don't have ESP, either.
What is ESP?
@mitcorb said:
This may not be much help, but: Each group can be pivoted on itself after activating the Move tool. You probably know this.
Is there not some initial scene or frame that is saved? I don't know. Just an idea.
You probably mean the 4 red protractors on each side - yes i know about it and it helps a bit but... what I need is some kind of ruby/plugin which would let me pick foe example 2 points of a component/group and align it to next 2 points. I don't have an idea if there is somethink like this...
Unfortunately there is no initial scene or anything...
@unknownuser said:
Oh man, don't save while you run the simulation!
I guess you could try undo if you still have it open, but I'm guessing not...Ok, I can give you a small code that will reset everything to the default positions, but this means all objects will be moved to the center.
Just click SELECT ALL, then copy it into Ruby Console and hit Enter:
CODE: SELECT ALL
t=Geom::Transformation.new();
Sketchup.active_model.entities.each{|ent|if(ent.class==Sketchup::Group or ent.class==Sketchup::ComponentInstance);ent.transformation=t1;end}And if you are unhappy with the results you can still undo it.
I know I screwed it... and next time I will try to be more careful. I forgot to press the "reset physics simulation" and saved it with this geometry being screwed & fallen to the very bottom.
I tried the thing with the console, but somehow nothing happend. Maybe there is an mistake in this code? I never used Ruby Console before. But thanks for trying to help!
Hello. After using sketchyphysics for some little geometry in one specific scene I didn't notice, that the rest of my model is also affected by sketchyphysics and started moving (see attachment). What is worse, I saved model with this mess and didn't make a copy.
I would like to ask - is there any way to reset the model to the time before SP animation? I don' think so, as it is saved.
Ok, I think I have to reset the groups to their previous position manually. But I don't want even to imagine to do this with protractor, as the groups are "twisted" in every possible angle. Is there any plugin or ruby to make this easier for me?
Thanks for any help!
Hello. After using sketchyphysics for some little geometry in one specific scene I didn't notice, that the rest of my model is also affected by sketchyphysics and started moving (see attachment). What is worse, I saved model with this mess and didn't make a copy.
I would like to ask - is there any way to reset the model to the time before SP animation? I don' think so, as it is saved.
Ok, I think I have to reset the groups to their previous position manually. But I don't want even to imagine to do this with protractor, as the groups are "twisted" in every possible angle. Is there any plugin or ruby to make this easier for me?
Thanks for any help!